package kr.co.kihyun.beans.user;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.io.ByteArrayOutputStream;
import java.io.ByteArrayInputStream;
import java.util.Arrays;

import java.sql.Blob;

import kr.co.kihyun.beans.entity.MDept;
import kr.co.kihyun.beans.entity.MUser;
import kr.co.kihyun.beans.entity.MoumiEntity;
import kr.co.kihyun.beans.entity.SysAuth;
import kr.co.kihyun.beans.entity.TotDoc;
import kr.co.kihyun.beans.entity.TotReport;
import kr.co.kihyun.beans.entity.TotReportProcess;
import kr.co.kihyun.beans.entity.TotReportType;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.NullValue;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import kr.co.kihyun.beans.entity.ecross.IRemotePersistable;
import kr.co.kihyun.beans.entity.util.QueryImpl;
import kr.co.kihyun.io.IUploadable;
import kr.co.kihyun.lang.MString;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import kr.co.kihyun.db.DBManager;
import kr.co.kihyun.db.*;
import java.sql.*;


public class TestMultiCheck{

    //35.제거되지 않고 남은 디버그 코드_CWE-489 Delete by YOUNGJUN,CHO
    /*
    public static void main(String[] args) throws Exception{
        Connection con = null;
        Statement stmt = null;
        ResultSet rs = null;
        String url = "jdbc:db2://10.200.30.141:43000";
        String user="cmcdbmgr";
        String password = "cmcdbmgr";
        try{
                Class.forName("com.ibm.db2.jcc.DB2Driver").newInstance();
            }catch(ClassNotFoundException ex){
                ex.printStackTrace();
            }catch(IllegalAccessException ex){
                ex.printStackTrace();
            }catch(InstantiationException ex){
                ex.printStackTrace();
            }
              try{
                  con = DriverManager.getConnection(url,user,password);
              }catch(SQLException ex){
                  ex.printStackTrace();
              }

        stmt = con.createStatement();
        //System.out.println("get Statement Object");
        rs = stmt.executeQuery("select EMPNO from EMPLOYEE");
        //System.out.println("get Result Object");
         while(rs.next()){
             //System.out.println(rs.getString(1));
         }
        rs.close();
        stmt.close();
        con.close();
    }
    */
    //------------------------------------------------
}
